# Simulate requirement submission

Simulates providing everything needed for a particular KYC requirement. This can be used in place of going through a hosted journey on the browser.
This functionality only works for the following requirements: `TRANSFER_PURPOSE`, `ID_DOCUMENT_WITH_LIVENESS`, `SOURCE_OF_FUNDS`, and any other that has the `___` delimiter in them.

Endpoint: POST /v2/simulation/profiles/{profileId}/kyc-reviews/{kycReviewId}/requirements/submit
Security: UserToken

## Path parameters:

  - `profileId` (integer, required)
    The profile ID.

  - `kycReviewId` (string, required)
    The ID of the existing KYC review.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Request fields (application/json):

  - `requirement` (string)
    Requirement to simulate hosted journey for.

